Skip to main content
POST
Settle a card authorization

Authorizations

Api-Key
string
header
required

Path Parameters

transactionId
string<uuid>
required

The ID of the transaction to settle

Body

application/json

Settlement request

amount
integer
required

The settlement amount in cents (merchant currency). To settle for the full authorization, pass the authorized amount.

Required range: 1 <= x <= 2147483647

Response

Successful operation

transactionId
string<uuid>
required

The transaction ID.

status
enum<string>
required

The transaction status.

Available options:
authorized,
declined,
settled
declinedReason
string

Present when status is declined. The reason for the decline.

completionReason
enum<string>

Present when status is settled. settlement after a settle, refund after a refund, authorization_reversal after a reverse.

Available options:
settlement,
refund,
authorization_reversal